design choice
=============

v2
--

- LEDs have the same brightness

v1
--

- production friendly design (not through hole devices, or double sided load)
- each LED/status should have a unique color

v0
--

- the connectors need to have through hole mounting tabs to ensure they don't break from the board, particularly the micro-B receptacle.
- to power the LEDs I used small batteries I had around: CR2032. They are plenty sufficient to power LEDs, especially because I provide them with less than 0.5 mA. Thus the battery should last testing cables for years, unless you leave them plugged in.
- to keep the board small, I decided to put the battery holder on the back of the board. This requires you to solder it last, else it would cover the hole for the USB-A receptacle.
- I did not specify the colors of the LEDs, or the value of the resistors, in the schematic, since I wanted to try out alternatives while assembling them.

changelog
=========

sometimes there is a battery connection issue.
this is because the CR2012 hole is small, and the HASL is thinner as the silk screen.
this has been fixed by making the pad larger, and adding the solder paste (not sure if this is a good idea for such a large pad though).

v2
--

in v1 I mixed the LEDs for OTG and B-CHRG.
I used the opportunity to improve on other aspects:

- the USB A is shifted to the left to cover mouse bites
- the USB micro-B can be shifted a bit to the bottom to allow for large plug assemblies
- the white OTG LED was too bright
- the green LED was too bright
- the blue LED was too dim
- the QR code is white solder mask on green silk screen can't be read by all readers because it's inverted

v1
--

v0 needed dual side hand assembly, though hole soldering, and lead cutting.
v1 is an assembly friendly redesign.
it now uses only parts which can be SMD soldered.
all parts are on the top side of the board.
because the coin cell holder is also on top, I used a CR1220 holder instead of a CR2032 holder, so the board remains small.
for quick and infrequent cable tests, a 35 mAh CR1220 is sufficient.
since the battery can be side loaded, instead of top loaded, the holder is even smaller.
I also used different color LEDs for each test.

v0
--

first prototype, used as proof of concept.
I used parts I already had in my inventory.

parts need to be solders on both sides of the PCB.
first, solder the LEDs and resistors on the top side.
then solder both USB connectors on the top side.
the tabs of the USB connectors need to the soldered on the bottom side, and provide rigidity.
cut the leads of the USB connectors so the bottom side is flat again.
finally, place the battery holder on the bottom side, and solder the leads on the top side.
